Changeset 598


Ignore:
Timestamp:
Jun 2, 2011 9:12:15 AM (9 years ago)
Author:
pbelotti
Message:

don't update upper bounds on symmetry. Trying to make SCIP compile.

Location:
trunk/Couenne
Files:
24 edited

Legend:

Unmodified
Added
Removed
  • trunk/Couenne/Makefile.in

    r595 r598  
    166166COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    167167COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     168COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     169COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    168170COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    169171COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    260262RANLIB = @RANLIB@
    261263RPATH_FLAGS = @RPATH_FLAGS@
     264SCIP_CFLAGS = @SCIP_CFLAGS@
     265SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     266SCIP_DATA = @SCIP_DATA@
     267SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     268SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     269SCIP_LIBS = @SCIP_LIBS@
     270SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    262271SCPINCDIR = @SCPINCDIR@
    263272SCPLIB = @SCPLIB@
  • trunk/Couenne/configure

    r597 r598  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCPINCDIR SCPLIB COIN_HAS_SCP_TRUE COIN_HAS_SCP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCPINCDIR SCPLIB COIN_HAS_SCP_TRUE COIN_HAS_SCP_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11311131  --with-scip-incdir specify the header file directory for library SCIP
    11321132  --with-scip-lib specify the flags used to link with the library SCIP
     1133  --with-scip-lib linker flags for using package SCIP
     1134  --with-scip-incdir directory with header files for using package SCIP
     1135  --with-scip-datadir directory with data files for using package SCIP
    11331136  --with-cpx-lib linker flags for using package Cpx
    11341137  --with-cpx-incdir directory with header files for using package Cpx
     
    70327035*-*-irix6*)
    70337036  # Find out which ABI we are using.
    7034   echo '#line 7034 "configure"' > conftest.$ac_ext
     7037  echo '#line 7037 "configure"' > conftest.$ac_ext
    70357038  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    70367039  (eval $ac_compile) 2>&5
     
    81668169
    81678170# Provide some information about the compiler.
    8168 echo "$as_me:8168:" \
     8171echo "$as_me:8171:" \
    81698172     "checking for Fortran 77 compiler version" >&5
    81708173ac_compiler=`set X $ac_compile; echo $2`
     
    92339236   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    92349237   -e 's:$: $lt_compiler_flag:'`
    9235    (eval echo "\"\$as_me:9235: $lt_compile\"" >&5)
     9238   (eval echo "\"\$as_me:9238: $lt_compile\"" >&5)
    92369239   (eval "$lt_compile" 2>conftest.err)
    92379240   ac_status=$?
    92389241   cat conftest.err >&5
    9239    echo "$as_me:9239: \$? = $ac_status" >&5
     9242   echo "$as_me:9242: \$? = $ac_status" >&5
    92409243   if (exit $ac_status) && test -s "$ac_outfile"; then
    92419244     # The compiler can only warn and ignore the option if not recognized
     
    95019504   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95029505   -e 's:$: $lt_compiler_flag:'`
    9503    (eval echo "\"\$as_me:9503: $lt_compile\"" >&5)
     9506   (eval echo "\"\$as_me:9506: $lt_compile\"" >&5)
    95049507   (eval "$lt_compile" 2>conftest.err)
    95059508   ac_status=$?
    95069509   cat conftest.err >&5
    9507    echo "$as_me:9507: \$? = $ac_status" >&5
     9510   echo "$as_me:9510: \$? = $ac_status" >&5
    95089511   if (exit $ac_status) && test -s "$ac_outfile"; then
    95099512     # The compiler can only warn and ignore the option if not recognized
     
    96059608   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96069609   -e 's:$: $lt_compiler_flag:'`
    9607    (eval echo "\"\$as_me:9607: $lt_compile\"" >&5)
     9610   (eval echo "\"\$as_me:9610: $lt_compile\"" >&5)
    96089611   (eval "$lt_compile" 2>out/conftest.err)
    96099612   ac_status=$?
    96109613   cat out/conftest.err >&5
    9611    echo "$as_me:9611: \$? = $ac_status" >&5
     9614   echo "$as_me:9614: \$? = $ac_status" >&5
    96129615   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    96139616   then
     
    1195011953  lt_status=$lt_dlunknown
    1195111954  cat > conftest.$ac_ext <<EOF
    11952 #line 11952 "configure"
     11955#line 11955 "configure"
    1195311956#include "confdefs.h"
    1195411957
     
    1205012053  lt_status=$lt_dlunknown
    1205112054  cat > conftest.$ac_ext <<EOF
    12052 #line 12052 "configure"
     12055#line 12055 "configure"
    1205312056#include "confdefs.h"
    1205412057
     
    1439414397   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1439514398   -e 's:$: $lt_compiler_flag:'`
    14396    (eval echo "\"\$as_me:14396: $lt_compile\"" >&5)
     14399   (eval echo "\"\$as_me:14399: $lt_compile\"" >&5)
    1439714400   (eval "$lt_compile" 2>conftest.err)
    1439814401   ac_status=$?
    1439914402   cat conftest.err >&5
    14400    echo "$as_me:14400: \$? = $ac_status" >&5
     14403   echo "$as_me:14403: \$? = $ac_status" >&5
    1440114404   if (exit $ac_status) && test -s "$ac_outfile"; then
    1440214405     # The compiler can only warn and ignore the option if not recognized
     
    1449814501   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1449914502   -e 's:$: $lt_compiler_flag:'`
    14500    (eval echo "\"\$as_me:14500: $lt_compile\"" >&5)
     14503   (eval echo "\"\$as_me:14503: $lt_compile\"" >&5)
    1450114504   (eval "$lt_compile" 2>out/conftest.err)
    1450214505   ac_status=$?
    1450314506   cat out/conftest.err >&5
    14504    echo "$as_me:14504: \$? = $ac_status" >&5
     14507   echo "$as_me:14507: \$? = $ac_status" >&5
    1450514508   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1450614509   then
     
    1606816071   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1606916072   -e 's:$: $lt_compiler_flag:'`
    16070    (eval echo "\"\$as_me:16070: $lt_compile\"" >&5)
     16073   (eval echo "\"\$as_me:16073: $lt_compile\"" >&5)
    1607116074   (eval "$lt_compile" 2>conftest.err)
    1607216075   ac_status=$?
    1607316076   cat conftest.err >&5
    16074    echo "$as_me:16074: \$? = $ac_status" >&5
     16077   echo "$as_me:16077: \$? = $ac_status" >&5
    1607516078   if (exit $ac_status) && test -s "$ac_outfile"; then
    1607616079     # The compiler can only warn and ignore the option if not recognized
     
    1617216175   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1617316176   -e 's:$: $lt_compiler_flag:'`
    16174    (eval echo "\"\$as_me:16174: $lt_compile\"" >&5)
     16177   (eval echo "\"\$as_me:16177: $lt_compile\"" >&5)
    1617516178   (eval "$lt_compile" 2>out/conftest.err)
    1617616179   ac_status=$?
    1617716180   cat out/conftest.err >&5
    16178    echo "$as_me:16178: \$? = $ac_status" >&5
     16181   echo "$as_me:16181: \$? = $ac_status" >&5
    1617916182   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1618016183   then
     
    1837918382   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1838018383   -e 's:$: $lt_compiler_flag:'`
    18381    (eval echo "\"\$as_me:18381: $lt_compile\"" >&5)
     18384   (eval echo "\"\$as_me:18384: $lt_compile\"" >&5)
    1838218385   (eval "$lt_compile" 2>conftest.err)
    1838318386   ac_status=$?
    1838418387   cat conftest.err >&5
    18385    echo "$as_me:18385: \$? = $ac_status" >&5
     18388   echo "$as_me:18388: \$? = $ac_status" >&5
    1838618389   if (exit $ac_status) && test -s "$ac_outfile"; then
    1838718390     # The compiler can only warn and ignore the option if not recognized
     
    1864718650   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1864818651   -e 's:$: $lt_compiler_flag:'`
    18649    (eval echo "\"\$as_me:18649: $lt_compile\"" >&5)
     18652   (eval echo "\"\$as_me:18652: $lt_compile\"" >&5)
    1865018653   (eval "$lt_compile" 2>conftest.err)
    1865118654   ac_status=$?
    1865218655   cat conftest.err >&5
    18653    echo "$as_me:18653: \$? = $ac_status" >&5
     18656   echo "$as_me:18656: \$? = $ac_status" >&5
    1865418657   if (exit $ac_status) && test -s "$ac_outfile"; then
    1865518658     # The compiler can only warn and ignore the option if not recognized
     
    1875118754   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1875218755   -e 's:$: $lt_compiler_flag:'`
    18753    (eval echo "\"\$as_me:18753: $lt_compile\"" >&5)
     18756   (eval echo "\"\$as_me:18756: $lt_compile\"" >&5)
    1875418757   (eval "$lt_compile" 2>out/conftest.err)
    1875518758   ac_status=$?
    1875618759   cat out/conftest.err >&5
    18757    echo "$as_me:18757: \$? = $ac_status" >&5
     18760   echo "$as_me:18760: \$? = $ac_status" >&5
    1875818761   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1875918762   then
     
    2348923492
    2349023493
     23494
     23495echo "$as_me:$LINENO: checking for COIN-OR package SCIP" >&5
     23496echo $ECHO_N "checking for COIN-OR package SCIP... $ECHO_C" >&6
     23497
     23498coin_has_scip=notGiven
     23499
     23500# check if user wants to skip package in any case
     23501if test x"$COIN_SKIP_PROJECTS" != x; then
     23502  for dir in $COIN_SKIP_PROJECTS; do
     23503    if test $dir = "SCIP"; then
     23504      coin_has_scip=skipping
     23505    fi
     23506  done
     23507fi
     23508
     23509SCIP_LIBS=
     23510SCIP_CFLAGS=
     23511SCIP_DATA=
     23512
     23513
     23514
     23515
     23516
     23517
     23518
     23519
     23520
     23521
     23522
     23523
     23524
     23525
     23526
     23527
     23528
     23529#check if user provided LIBS, CFLAGS, or DATA for package or disables use of package
     23530if test $coin_has_scip != skipping; then
     23531
     23532# Check whether --with-m4_tolower(SCIP)-lib or --without-m4_tolower(SCIP)-lib was given.
     23533if test "${with_scip_lib+set}" = set; then
     23534  withval="$with_scip_lib"
     23535  if test "$withval" = no ; then
     23536       coin_has_scip=skipping
     23537     else
     23538       coin_has_scip=yes
     23539       SCIP_LIBS="$withval"
     23540
     23541         COUENNELIB_PCLIBS="$withval $COUENNELIB_PCLIBS"
     23542         COUENNELIB_LIBS="$withval $COUENNELIB_LIBS"
     23543
     23544       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     23545       if test -z "$PKG_CONFIG" ; then
     23546         SCIP_LIBS_INSTALLED="$withval"
     23547         COUENNELIB_LIBS_INSTALLED="$withval $COUENNELIB_LIBS_INSTALLED"
     23548       fi
     23549     fi
     23550
     23551fi;
     23552fi
     23553
     23554if test $coin_has_scip != skipping; then
     23555
     23556# Check whether --with-m4_tolower(SCIP)-incdir or --without-m4_tolower(SCIP)-incdir was given.
     23557if test "${with_scip_incdir+set}" = set; then
     23558  withval="$with_scip_incdir"
     23559  if test "$withval" = no ; then
     23560       coin_has_scip=skipping
     23561     else
     23562       coin_has_scip=yes
     23563       SCIP_CFLAGS="-I`${CYGPATH_W} $withval`"
     23564       COUENNELIB_CFLAGS="-I`${CYGPATH_W} $withval` $COUENNELIB_CFLAGS"
     23565       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     23566       if test -z "$PKG_CONFIG" ; then
     23567         SCIP_CFLAGS_INSTALLED="$SCIP_CFLAGS"
     23568         COUENNELIB_CFLAGS_INSTALLED="$SCIP_CFLAGS $COUENNELIB_CFLAGS_INSTALLED"
     23569       fi
     23570     fi
     23571
     23572fi;
     23573fi
     23574
     23575if test $coin_has_scip != skipping; then
     23576
     23577# Check whether --with-m4_tolower(SCIP)-datadir or --without-m4_tolower(SCIP)-datadir was given.
     23578if test "${with_scip_datadir+set}" = set; then
     23579  withval="$with_scip_datadir"
     23580  if test "$withval" = no ; then
     23581       coin_has_scip=skipping
     23582     else
     23583       coin_has_scip=yes
     23584       SCIP_DATA="$withval"
     23585       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     23586       if test -z "$PKG_CONFIG" ; then
     23587         SCIP_DATA_INSTALLED="$withval"
     23588       fi
     23589     fi
     23590
     23591fi;
     23592fi
     23593
     23594if test $coin_has_scip = notGiven; then
     23595  if test -n "$PKG_CONFIG" ; then
     23596    # set search path for pkg-config
     23597    # need to export variable to be sure that the following pkg-config gets these values
     23598    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     23599    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
     23600    export PKG_CONFIG_PATH
     23601
     23602    # let pkg-config do it's magic
     23603
     23604
     23605
     23606if test -n "$PKG_CONFIG" ; then
     23607  if $PKG_CONFIG --exists "coinscip"; then
     23608    SCIP_VERSIONS="`$PKG_CONFIG --modversion "coinscip" 2>/dev/null | tr '\n' ' '`"
     23609     cflags=`$PKG_CONFIG --cflags "coinscip" 2>/dev/null`
     23610    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     23611        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     23612        # but only do this if is not trivial
     23613    if test "$CYGPATH_W" != "echo" ; then
     23614      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     23615      cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     23616    fi
     23617    SCIP_CFLAGS="$cflags"
     23618    SCIP_LIBS=`$PKG_CONFIG --libs "coinscip" 2>/dev/null`
     23619    SCIP_DATA=`$PKG_CONFIG --variable=datadir "coinscip" 2>/dev/null`
     23620     coin_has_scip=yes
     23621        echo "$as_me:$LINENO: result: yes: $SCIP_VERSIONS" >&5
     23622echo "${ECHO_T}yes: $SCIP_VERSIONS" >&6
     23623
     23624        # adjust linker flags for (i)cl compiler
     23625        # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl)
     23626        if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     23627        then
     23628          SCIP_LIBS=`echo " $SCIP_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     23629        fi
     23630
     23631        # augment X_PCREQUIRES, X_CFLAGS, and X_LIBS for each build target X in CouenneLib
     23632
     23633          COUENNELIB_PCREQUIRES="coinscip $COUENNELIB_PCREQUIRES"
     23634          COUENNELIB_CFLAGS="$SCIP_CFLAGS $COUENNELIB_CFLAGS"
     23635          COUENNELIB_LIBS="$SCIP_LIBS $COUENNELIB_LIBS"
     23636
     23637
     23638
     23639  else
     23640    SCIP_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinscip"`
     23641      coin_has_scip=notGiven
     23642        echo "$as_me:$LINENO: result: not given: $SCIP_PKG_ERRORS" >&5
     23643echo "${ECHO_T}not given: $SCIP_PKG_ERRORS" >&6
     23644
     23645  fi
     23646else
     23647  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module SCIP without pkg-config\"" >&5
     23648echo "$as_me: error: \"Cannot check for existance of module SCIP without pkg-config\"" >&2;}
     23649   { (exit 1); exit 1; }; }
     23650fi
     23651
     23652
     23653
     23654
     23655    # reset PKG_CONFIG_PATH variable
     23656    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     23657    export PKG_CONFIG_PATH
     23658
     23659  else
     23660    echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
     23661echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
     23662
     23663echo "$as_me:$LINENO: checking for COIN-OR package SCIP (fallback)" >&5
     23664echo $ECHO_N "checking for COIN-OR package SCIP (fallback)... $ECHO_C" >&6
     23665
     23666coin_has_scip=notGiven
     23667SCIP_LIBS=
     23668SCIP_LIBS_INSTALLED=
     23669SCIP_CFLAGS=
     23670SCIP_CFLAGS_INSTALLED=
     23671SCIP_DATA=
     23672SCIP_DATA_INSTALLED=
     23673
     23674# initial list of dependencies is "coinscip", but we need to filter out version number specifications (= x, <= x, >= x)
     23675projtoprocess="coinscip"
     23676
     23677# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
     23678# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     23679# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
     23680# also, we setup the DATA variable
     23681allproj=""
     23682allpcfiles=""
     23683allpcifiles=""
     23684while test "x$projtoprocess" != x ; do
     23685
     23686  for proj in $projtoprocess ; do
     23687    # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
     23688    pcfile=""
     23689    save_IFS="$IFS"
     23690    IFS=":"
     23691    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
     23692      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
     23693      if test -r "$dir/${proj}-uninstalled.pc" ; then
     23694        pcfile="$dir/$proj-uninstalled.pc"
     23695        if test -r "$dir/${proj}.pc" ; then
     23696          pcifile="$dir/${proj}.pc"
     23697        else
     23698          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     23699echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     23700          pcifile=
     23701        fi
     23702        break
     23703      fi
     23704    done
     23705    IFS="$save_IFS"
     23706
     23707    if test "x$pcfile" != x ; then
     23708      # read dependencies from $pcfile and filter it
     23709      projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\{0,1\}>\{0,1\}=[        ]\{0,\}[^       ]\{1,\}//g'`
     23710
     23711      # add projrequires to the front of the list of projects that have to be processed next
     23712      # at the same time, remove $proj from this list
     23713      projtoprocess=${projtoprocess/$proj/$projrequires}
     23714
     23715      # read DATA from $pcfile, if _DATA is still empty
     23716      if test "x$SCIP_DATA" = x ; then
     23717        projdatadir=
     23718        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     23719        eval `sh -c "$pcfilemod"`
     23720        SCIP_DATA="$projdatadir"
     23721      fi
     23722
     23723      allproj="$allproj $proj"
     23724      allpcfiles="$pcfile:$allpcfiles"
     23725
     23726    else
     23727      echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
     23728echo "${ECHO_T}no, dependency $proj not available" >&6
     23729      allproj=fail
     23730      break 2
     23731    fi
     23732
     23733    if test "x$pcifile" != x ; then
     23734      allpcifiles="$pcifile:$allpcifiles"
     23735
     23736      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     23737      if test "x$SCIP_DATA_INSTALLED" = x ; then
     23738        projdatadir=
     23739        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     23740        eval `sh -c "$pcifilemod"`
     23741        if test "${CYGPATH_W}" != "echo"; then
     23742          projdatadir="\`\$(CYGPATH_W) ${projdatadir} | sed -e 's/\\\\\\\\/\\\\\\\\\\\\\\\\/g'\`"
     23743        fi
     23744        SCIP_DATA_INSTALLED="$projdatadir"
     23745      fi
     23746
     23747    fi
     23748
     23749    break
     23750  done
     23751
     23752  # remove spaces on begin of $projtoprocess
     23753  projtoprocess=`echo $projtoprocess | sed -e 's/^ *//'`
     23754
     23755done
     23756
     23757if test "$allproj" != fail ; then
     23758
     23759  # now go through the list of .pc files and assemble compiler and linker flags
     23760  # important is here to obey the reverse order that has been setup before,
     23761  # since then libraries that are required by several others should be after these other libraries
     23762  pcfilesprocessed=""
     23763
     23764  save_IFS="$IFS"
     23765  IFS=":"
     23766  for pcfile in $allpcfiles ; do
     23767
     23768    # if $pcfile has been processed already, skip this round
     23769    if test "x$pcfilesprocessed" != x ; then
     23770      for pcfiledone in $pcfilesprocessed ; do
     23771        if test "$pcfiledone" = "$pcfile" ; then
     23772          continue 2
     23773        fi
     23774      done
     23775    fi
     23776
     23777    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     23778    #   replace "Libs:" by "echo projlibs="
     23779    #   replace "Cflags:" by "echo projcflags="
     23780    #   remove every line starting with <some word>:
     23781    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     23782
     23783    # set projcflags and projlibs variables by running $pcfilemod
     23784    projcflags=
     23785    projlibs=
     23786    eval `sh -c "$pcfilemod"`
     23787
     23788    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     23789    if test "${CYGPATH_W}" != "echo"; then
     23790      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     23791    fi
     23792    SCIP_CFLAGS="$projcflags $SCIP_CFLAGS"
     23793
     23794    # set LIBS variable
     23795    SCIP_LIBS="$projlibs $SCIP_LIBS"
     23796
     23797    # remember that we have processed $pcfile
     23798    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     23799
     23800  done
     23801  IFS="$save_IFS"
     23802
     23803
     23804  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     23805  # important is here again to obey the reverse order that has been setup before,
     23806  # since then libraries that are required by several others should be after these other libraries
     23807  pcfilesprocessed=""
     23808
     23809  save_IFS="$IFS"
     23810  IFS=":"
     23811  for pcfile in $allpcifiles ; do
     23812
     23813    # if $pcfile has been processed already, skip this round
     23814    if test "x$pcfilesprocessed" != x ; then
     23815      for pcfiledone in $pcfilesprocessed ; do
     23816        if test "$pcfiledone" = "$pcfile" ; then
     23817          continue 2
     23818        fi
     23819      done
     23820    fi
     23821
     23822    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     23823    #   replace "Libs:" by "echo projlibs="
     23824    #   replace "Cflags:" by "echo projcflags="
     23825    #   remove every line starting with <some word>:
     23826    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     23827
     23828    # set projcflags and projlibs variables by running $pcfilemod
     23829    projcflags=
     23830    projlibs=
     23831    eval `sh -c "$pcfilemod"`
     23832
     23833    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     23834    if test "${CYGPATH_W}" != "echo"; then
     23835      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     23836    fi
     23837    SCIP_CFLAGS_INSTALLED="$projcflags $SCIP_CFLAGS_INSTALLED"
     23838
     23839    # set LIBS variable
     23840    SCIP_LIBS_INSTALLED="$projlibs $SCIP_LIBS_INSTALLED"
     23841
     23842    # remember that we have processed $pcfile
     23843    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     23844
     23845  done
     23846  IFS="$save_IFS"
     23847
     23848
     23849  # finish up
     23850  coin_has_scip=yes
     23851  echo "$as_me:$LINENO: result: yes" >&5
     23852echo "${ECHO_T}yes" >&6
     23853
     23854cat >>confdefs.h <<\_ACEOF
     23855#define COIN_HAS_SCIP 1
     23856_ACEOF
     23857
     23858
     23859  # adjust linker flags for (i)cl compiler
     23860  # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl),
     23861  # for the LIBS_INSTALLED, we replace everything of the form "/somepath/" by "`$(CYGPATH_W) /somepath/`",
     23862  #    everything of the form "-Lpath" by "/libpath:`$(CYGPATH_W) path`, and
     23863  #    everything of the form "-lname" by "libname.lib"
     23864  if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     23865  then
     23866    SCIP_LIBS=`echo " $SCIP_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     23867    SCIP_LIBS_INSTALLED=`echo " $SCIP_LIBS_INSTALLED" | sed -e 's/ \(\/[^ ]*\/\)/ \`$(CYGPATH_W) \1\`/g' -e 's/ -L\([^ ]*\)/ \/libpath:\`$(CYGPATH_W) \1\`/g' -e 's/ -l\([^ ]*\)/ lib\1.lib/g'`
     23868  fi
     23869
     23870
     23871    COUENNELIB_PCREQUIRES="coinscip $COUENNELIB_PCREQUIRES"
     23872    COUENNELIB_CFLAGS="$SCIP_CFLAGS $COUENNELIB_CFLAGS"
     23873    COUENNELIB_LIBS="$SCIP_LIBS $COUENNELIB_LIBS"
     23874    COUENNELIB_CFLAGS_INSTALLED="$SCIP_CFLAGS_INSTALLED $COUENNELIB_CFLAGS_INSTALLED"
     23875    COUENNELIB_LIBS_INSTALLED="$SCIP_LIBS_INSTALLED $COUENNELIB_LIBS_INSTALLED"
     23876
     23877
     23878fi
     23879
     23880
     23881
     23882if test $coin_has_scip != notGiven &&
     23883                test $coin_has_scip != skipping; then
     23884  COIN_HAS_SCIP_TRUE=
     23885  COIN_HAS_SCIP_FALSE='#'
     23886else
     23887  COIN_HAS_SCIP_TRUE='#'
     23888  COIN_HAS_SCIP_FALSE=
     23889fi
     23890
     23891
     23892
     23893  fi
     23894
     23895else
     23896  echo "$as_me:$LINENO: result: $coin_has_scip" >&5
     23897echo "${ECHO_T}$coin_has_scip" >&6
     23898fi
     23899
     23900if test $coin_has_scip != skipping &&
     23901   test $coin_has_scip != notGiven ; then
     23902
     23903cat >>confdefs.h <<\_ACEOF
     23904#define COIN_HAS_SCIP 1
     23905_ACEOF
     23906
     23907
     23908  # Check whether --enable-interpackage-dependencies or --disable-interpackage-dependencies was given.
     23909if test "${enable_interpackage_dependencies+set}" = set; then
     23910  enableval="$enable_interpackage_dependencies"
     23911
     23912else
     23913  enable_interpackage_dependencies=yes
     23914fi;
     23915
     23916  if test $enable_interpackage_dependencies = yes ; then
     23917     # construct dependencies variables from LIBS variables
     23918     # we add an extra space in LIBS so we can substitute out everything starting with " -"
     23919     # remove everything of the form -framework xxx as used on Mac and mklxxx as used on Windows
     23920     # then remove everything of the form -xxx
     23921     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
     23922     SCIP_DEPENDENCIES=`echo " $SCIP_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     23923
     23924       COUENNELIB_DEPENDENCIES=`echo " $COUENNELIB_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     23925
     23926  fi
     23927
     23928  if test 1 = 0 ; then  #change this test to enable a bit of debugging output
     23929    if test -n "$SCIP_CFLAGS" ; then
     23930      { echo "$as_me:$LINENO: SCIP CFLAGS are $SCIP_CFLAGS" >&5
     23931echo "$as_me: SCIP CFLAGS are $SCIP_CFLAGS" >&6;}
     23932    fi
     23933    if test -n "$SCIP_LIBS" ; then
     23934      { echo "$as_me:$LINENO: SCIP LIBS   are $SCIP_LIBS" >&5
     23935echo "$as_me: SCIP LIBS   are $SCIP_LIBS" >&6;}
     23936    fi
     23937    if test -n "$SCIP_DEPENDENCIES" ; then
     23938      { echo "$as_me:$LINENO: SCIP DEPENDENCIES are $SCIP_DEPENDENCIES" >&5
     23939echo "$as_me: SCIP DEPENDENCIES are $SCIP_DEPENDENCIES" >&6;}
     23940    fi
     23941    if test -n "$SCIP_DATA" ; then
     23942      { echo "$as_me:$LINENO: SCIP DATA   is  $SCIP_DATA" >&5
     23943echo "$as_me: SCIP DATA   is  $SCIP_DATA" >&6;}
     23944    fi
     23945    if test -n "$SCIP_CFLAGS" ; then
     23946      { echo "$as_me:$LINENO: SCIP CFLAGS are $SCIP_CFLAGS" >&5
     23947echo "$as_me: SCIP CFLAGS are $SCIP_CFLAGS" >&6;}
     23948    fi
     23949
     23950      { echo "$as_me:$LINENO: CouenneLib CFLAGS are $COUENNELIB_CFLAGS" >&5
     23951echo "$as_me: CouenneLib CFLAGS are $COUENNELIB_CFLAGS" >&6;}
     23952      { echo "$as_me:$LINENO: CouenneLib LIBS   are $COUENNELIB_LIBS" >&5
     23953echo "$as_me: CouenneLib LIBS   are $COUENNELIB_LIBS" >&6;}
     23954      { echo "$as_me:$LINENO: CouenneLib DEPENDENCIES are $COUENNELIB_DEPENDENCIES" >&5
     23955echo "$as_me: CouenneLib DEPENDENCIES are $COUENNELIB_DEPENDENCIES" >&6;}
     23956
     23957  fi
     23958fi
     23959
     23960# Define the Makefile conditional
     23961
     23962
     23963if test $coin_has_scip != notGiven &&
     23964                test $coin_has_scip != skipping; then
     23965  COIN_HAS_SCIP_TRUE=
     23966  COIN_HAS_SCIP_FALSE='#'
     23967else
     23968  COIN_HAS_SCIP_TRUE='#'
     23969  COIN_HAS_SCIP_FALSE=
     23970fi
     23971
     23972
     23973
     23974
    2349123975# CPLEX: check for OsiCplex, and check for cplex include dir, so we can include cplex.h
    2349223976
     
    2716827652Usually this means the macro was only invoked conditionally." >&5
    2716927653echo "$as_me: error: conditional \"COIN_HAS_SCP\" was never defined.
     27654Usually this means the macro was only invoked conditionally." >&2;}
     27655   { (exit 1); exit 1; }; }
     27656fi
     27657if test -z "${COIN_HAS_SCIP_TRUE}" && test -z "${COIN_HAS_SCIP_FALSE}"; then
     27658  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_SCIP\" was never defined.
     27659Usually this means the macro was only invoked conditionally." >&5
     27660echo "$as_me: error: conditional \"COIN_HAS_SCIP\" was never defined.
     27661Usually this means the macro was only invoked conditionally." >&2;}
     27662   { (exit 1); exit 1; }; }
     27663fi
     27664if test -z "${COIN_HAS_SCIP_TRUE}" && test -z "${COIN_HAS_SCIP_FALSE}"; then
     27665  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_SCIP\" was never defined.
     27666Usually this means the macro was only invoked conditionally." >&5
     27667echo "$as_me: error: conditional \"COIN_HAS_SCIP\" was never defined.
    2717027668Usually this means the macro was only invoked conditionally." >&2;}
    2717127669   { (exit 1); exit 1; }; }
     
    2793628434s,@COIN_HAS_SCP_TRUE@,$COIN_HAS_SCP_TRUE,;t t
    2793728435s,@COIN_HAS_SCP_FALSE@,$COIN_HAS_SCP_FALSE,;t t
     28436s,@SCIP_LIBS@,$SCIP_LIBS,;t t
     28437s,@SCIP_CFLAGS@,$SCIP_CFLAGS,;t t
     28438s,@SCIP_DATA@,$SCIP_DATA,;t t
     28439s,@SCIP_DEPENDENCIES@,$SCIP_DEPENDENCIES,;t t
     28440s,@SCIP_LIBS_INSTALLED@,$SCIP_LIBS_INSTALLED,;t t
     28441s,@SCIP_CFLAGS_INSTALLED@,$SCIP_CFLAGS_INSTALLED,;t t
     28442s,@SCIP_DATA_INSTALLED@,$SCIP_DATA_INSTALLED,;t t
     28443s,@COIN_HAS_SCIP_TRUE@,$COIN_HAS_SCIP_TRUE,;t t
     28444s,@COIN_HAS_SCIP_FALSE@,$COIN_HAS_SCIP_FALSE,;t t
    2793828445s,@CPX_LIBS@,$CPX_LIBS,;t t
    2793928446s,@CPX_CFLAGS@,$CPX_CFLAGS,;t t
  • trunk/Couenne/configure.ac

    r597 r598  
    8686AC_LANG_POP(C)
    8787
     88AC_COIN_CHECK_PACKAGE(SCIP, [coinscip], [CouenneLib])
     89
    8890# CPLEX: check for OsiCplex, and check for cplex include dir, so we can include cplex.h
    8991AC_COIN_CHECK_PACKAGE(Cpx, [osi-cplex], [CouenneLib])
  • trunk/Couenne/inc/config_couenne.h.in

    r595 r598  
    2424/* Define to 1 if the Nauty package is available */
    2525#undef COIN_HAS_NTY
     26
     27/* Define to 1 if the SCIP package is available */
     28#undef COIN_HAS_SCIP
    2629
    2730/* Define to 1 if the SCIP package is available */
  • trunk/Couenne/src/Makefile.in

    r597 r598  
    226226COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    227227COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     228COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     229COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    228230COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    229231COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    320322RANLIB = @RANLIB@
    321323RPATH_FLAGS = @RPATH_FLAGS@
     324SCIP_CFLAGS = @SCIP_CFLAGS@
     325SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     326SCIP_DATA = @SCIP_DATA@
     327SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     328SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     329SCIP_LIBS = @SCIP_LIBS@
     330SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    322331SCPINCDIR = @SCPINCDIR@
    323332SCPLIB = @SCPLIB@
  • trunk/Couenne/src/bound_tightening/Makefile.in

    r595 r598  
    133133COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    134134COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     135COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     136COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    135137COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    136138COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    227229RANLIB = @RANLIB@
    228230RPATH_FLAGS = @RPATH_FLAGS@
     231SCIP_CFLAGS = @SCIP_CFLAGS@
     232SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     233SCIP_DATA = @SCIP_DATA@
     234SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     235SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     236SCIP_LIBS = @SCIP_LIBS@
     237SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    229238SCPINCDIR = @SCPINCDIR@
    230239SCPLIB = @SCPLIB@
  • trunk/Couenne/src/branch/Makefile.in

    r595 r598  
    144144COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    145145COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     146COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     147COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    146148COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    147149COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    238240RANLIB = @RANLIB@
    239241RPATH_FLAGS = @RPATH_FLAGS@
     242SCIP_CFLAGS = @SCIP_CFLAGS@
     243SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     244SCIP_DATA = @SCIP_DATA@
     245SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     246SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     247SCIP_LIBS = @SCIP_LIBS@
     248SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    240249SCPINCDIR = @SCPINCDIR@
    241250SCPLIB = @SCPLIB@
  • trunk/Couenne/src/convex/Makefile.in

    r595 r598  
    129129COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    130130COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     131COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     132COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    131133COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    132134COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    223225RANLIB = @RANLIB@
    224226RPATH_FLAGS = @RPATH_FLAGS@
     227SCIP_CFLAGS = @SCIP_CFLAGS@
     228SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     229SCIP_DATA = @SCIP_DATA@
     230SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     231SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     232SCIP_LIBS = @SCIP_LIBS@
     233SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    225234SCPINCDIR = @SCPINCDIR@
    226235SCPLIB = @SCPLIB@
  • trunk/Couenne/src/convex/generateCuts.cpp

    r591 r598  
    55 * Purpose: the generateCuts() method of the convexification class CouenneCutGenerator
    66 *
    7  * (C) Carnegie-Mellon University, 2006-10.
     7 * (C) Carnegie-Mellon University, 2006-11.
    88 * This file is licensed under the Eclipse Public License (EPL)
    99 */
     
    447447
    448448        CouNumber
    449           ll = -COUENNE_INFINITY,
    450           uu =  COUENNE_INFINITY;
     449          ll = -COUENNE_INFINITY;
     450          //uu =  COUENNE_INFINITY;
    451451
    452452        std::vector <int> orbit = (*new_orbits)[i];
     
    470470
    471471            if (lb [orbit [j]] > ll) ll = lb [orbit [j]];
    472             if (ub [orbit [j]] < uu) uu = ub [orbit [j]];
     472            //if (ub [orbit [j]] < uu) uu = ub [orbit [j]];
    473473          }
    474474
    475475        jnlst_ -> Printf (J_VECTOR, J_BOUNDTIGHTENING,
    476                           " --> new common bounds: [%g,%g]\n", ll, uu);
     476                          " --> new common lower bounds: [%g,--]\n", ll);
    477477
    478478        for(int j = 0; j < orbit.size (); j++)
    479479          if (orbit [j] < problem_ -> nVars ()){
    480480            lb [orbit [j]] = ll;
    481             ub [orbit [j]] = uu;
     481            //ub [orbit [j]] = uu;
    482482          }
    483483      }
  • trunk/Couenne/src/crossconv/Makefile.in

    r595 r598  
    125125COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    126126COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     127COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     128COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    127129COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    128130COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    219221RANLIB = @RANLIB@
    220222RPATH_FLAGS = @RPATH_FLAGS@
     223SCIP_CFLAGS = @SCIP_CFLAGS@
     224SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     225SCIP_DATA = @SCIP_DATA@
     226SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     227SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     228SCIP_LIBS = @SCIP_LIBS@
     229SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    221230SCPINCDIR = @SCPINCDIR@
    222231SCPLIB = @SCPLIB@
  • trunk/Couenne/src/disjunctive/Makefile.in

    r595 r598  
    128128COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    129129COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     130COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     131COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    130132COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    131133COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    222224RANLIB = @RANLIB@
    223225RPATH_FLAGS = @RPATH_FLAGS@
     226SCIP_CFLAGS = @SCIP_CFLAGS@
     227SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     228SCIP_DATA = @SCIP_DATA@
     229SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     230SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     231SCIP_LIBS = @SCIP_LIBS@
     232SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    224233SCPINCDIR = @SCPINCDIR@
    225234SCPLIB = @SCPLIB@
  • trunk/Couenne/src/ellipcuts/Makefile.in

    r595 r598  
    120120COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    121121COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     122COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     123COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    122124COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    123125COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    214216RANLIB = @RANLIB@
    215217RPATH_FLAGS = @RPATH_FLAGS@
     218SCIP_CFLAGS = @SCIP_CFLAGS@
     219SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     220SCIP_DATA = @SCIP_DATA@
     221SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     222SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     223SCIP_LIBS = @SCIP_LIBS@
     224SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    216225SCPINCDIR = @SCPINCDIR@
    217226SCPLIB = @SCPLIB@
  • trunk/Couenne/src/expression/Makefile.in

    r595 r598  
    144144COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    145145COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     146COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     147COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    146148COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    147149COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    238240RANLIB = @RANLIB@
    239241RPATH_FLAGS = @RPATH_FLAGS@
     242SCIP_CFLAGS = @SCIP_CFLAGS@
     243SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     244SCIP_DATA = @SCIP_DATA@
     245SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     246SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     247SCIP_LIBS = @SCIP_LIBS@
     248SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    240249SCPINCDIR = @SCPINCDIR@
    241250SCPLIB = @SCPLIB@
  • trunk/Couenne/src/heuristics/Makefile.in

    r597 r598  
    131131COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    132132COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     133COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     134COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    133135COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    134136COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    225227RANLIB = @RANLIB@
    226228RPATH_FLAGS = @RPATH_FLAGS@
     229SCIP_CFLAGS = @SCIP_CFLAGS@
     230SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     231SCIP_DATA = @SCIP_DATA@
     232SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     233SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     234SCIP_LIBS = @SCIP_LIBS@
     235SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    227236SCPINCDIR = @SCPINCDIR@
    228237SCPLIB = @SCPLIB@
  • trunk/Couenne/src/interfaces/Makefile.in

    r595 r598  
    126126COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    127127COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     128COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     129COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    128130COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    129131COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    220222RANLIB = @RANLIB@
    221223RPATH_FLAGS = @RPATH_FLAGS@
     224SCIP_CFLAGS = @SCIP_CFLAGS@
     225SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     226SCIP_DATA = @SCIP_DATA@
     227SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     228SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     229SCIP_LIBS = @SCIP_LIBS@
     230SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    222231SCPINCDIR = @SCPINCDIR@
    223232SCPLIB = @SCPLIB@
  • trunk/Couenne/src/main/Makefile.am

    r595 r598  
    2323couenne_SOURCES = BonCouenne.cpp
    2424couenne_LDADD   = libBonCouenne.la ../libCouenne.la ../readnl/libCouenneReadnl.la $(COUENNELIB_LIBS) $(ASL_LIBS)
    25 
    26 if COIN_HAS_SCP
    27 couenne_LDADD += \
    28         $(SCPLIBDIR)/libscip-2.0.1.linux.x86_64.gnu.opt-shared.so \
    29         $(SCPLIBDIR)/liblpispx-2.0.1.linux.x86_64.gnu.opt-shared.so \
    30         $(SCPLIBDIR)/libnlpi-2.0.1.linux.x86_64.gnu.opt-shared.so \
    31         $(SCPLIBDIR)/libobjscip-2.0.1.linux.x86_64.gnu.opt-shared.so
    32 endif
    3325
    3426if COIN_HAS_SPX
  • trunk/Couenne/src/main/Makefile.in

    r595 r598  
    4545host_triplet = @host@
    4646@COIN_HAS_ASL_TRUE@bin_PROGRAMS = couenne$(EXEEXT)
    47 @COIN_HAS_SCP_TRUE@am__append_1 = \
    48 @COIN_HAS_SCP_TRUE@     $(SCPLIBDIR)/libscip-2.0.1.linux.x86_64.gnu.opt-shared.so \
    49 @COIN_HAS_SCP_TRUE@     $(SCPLIBDIR)/liblpispx-2.0.1.linux.x86_64.gnu.opt-shared.so \
    50 @COIN_HAS_SCP_TRUE@     $(SCPLIBDIR)/libnlpi-2.0.1.linux.x86_64.gnu.opt-shared.so \
    51 @COIN_HAS_SCP_TRUE@     $(SCPLIBDIR)/libobjscip-2.0.1.linux.x86_64.gnu.opt-shared.so
    52 
    53 @COIN_HAS_SPX_TRUE@am__append_2 = \
     47@COIN_HAS_SPX_TRUE@am__append_1 = \
    5448@COIN_HAS_SPX_TRUE@     $(SPXLIBDIR)/libsoplex-1.5.0.linux.x86_64.gnu.opt-shared.so
    5549
     
    8175couenne_OBJECTS = $(am_couenne_OBJECTS)
    8276am__DEPENDENCIES_1 =
    83 @COIN_HAS_SCP_TRUE@am__DEPENDENCIES_2 = $(SCPLIBDIR)/libscip-2.0.1.linux.x86_64.gnu.opt-shared.so \
    84 @COIN_HAS_SCP_TRUE@     $(SCPLIBDIR)/liblpispx-2.0.1.linux.x86_64.gnu.opt-shared.so \
    85 @COIN_HAS_SCP_TRUE@     $(SCPLIBDIR)/libnlpi-2.0.1.linux.x86_64.gnu.opt-shared.so \
    86 @COIN_HAS_SCP_TRUE@     $(SCPLIBDIR)/libobjscip-2.0.1.linux.x86_64.gnu.opt-shared.so
    87 @COIN_HAS_SPX_TRUE@am__DEPENDENCIES_3 = $(SPXLIBDIR)/libsoplex-1.5.0.linux.x86_64.gnu.opt-shared.so
     77@COIN_HAS_SPX_TRUE@am__DEPENDENCIES_2 = $(SPXLIBDIR)/libsoplex-1.5.0.linux.x86_64.gnu.opt-shared.so
    8878depcomp = $(SHELL) $(top_srcdir)/depcomp
    8979am__depfiles_maybe = depfiles
     
    153143COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    154144COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     145COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     146COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    155147COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    156148COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    247239RANLIB = @RANLIB@
    248240RPATH_FLAGS = @RPATH_FLAGS@
     241SCIP_CFLAGS = @SCIP_CFLAGS@
     242SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     243SCIP_DATA = @SCIP_DATA@
     244SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     245SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     246SCIP_LIBS = @SCIP_LIBS@
     247SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    249248SCPINCDIR = @SCPINCDIR@
    250249SCPLIB = @SCPLIB@
     
    334333couenne_LDADD = libBonCouenne.la ../libCouenne.la \
    335334        ../readnl/libCouenneReadnl.la $(COUENNELIB_LIBS) $(ASL_LIBS) \
    336         $(am__append_1) $(am__append_2)
     335        $(am__append_1)
    337336couenne_DEPENDENCIES = libBonCouenne.la ../libCouenne.la ../readnl/libCouenneReadnl.la $(COUENNELIB_DEPENDENCIES) $(ASL_DEPENDENCIES)
    338337
  • trunk/Couenne/src/problem/Makefile.in

    r595 r598  
    162162COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    163163COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     164COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     165COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    164166COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    165167COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    256258RANLIB = @RANLIB@
    257259RPATH_FLAGS = @RPATH_FLAGS@
     260SCIP_CFLAGS = @SCIP_CFLAGS@
     261SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     262SCIP_DATA = @SCIP_DATA@
     263SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     264SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     265SCIP_LIBS = @SCIP_LIBS@
     266SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    258267SCPINCDIR = @SCPINCDIR@
    259268SCPLIB = @SCPLIB@
  • trunk/Couenne/src/readnl/Makefile.in

    r595 r598  
    132132COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    133133COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     134COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     135COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    134136COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    135137COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    226228RANLIB = @RANLIB@
    227229RPATH_FLAGS = @RPATH_FLAGS@
     230SCIP_CFLAGS = @SCIP_CFLAGS@
     231SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     232SCIP_DATA = @SCIP_DATA@
     233SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     234SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     235SCIP_LIBS = @SCIP_LIBS@
     236SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    228237SCPINCDIR = @SCPINCDIR@
    229238SCPLIB = @SCPLIB@
  • trunk/Couenne/src/sdpcuts/Makefile.in

    r595 r598  
    128128COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    129129COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     130COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     131COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    130132COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    131133COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    222224RANLIB = @RANLIB@
    223225RPATH_FLAGS = @RPATH_FLAGS@
     226SCIP_CFLAGS = @SCIP_CFLAGS@
     227SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     228SCIP_DATA = @SCIP_DATA@
     229SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     230SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     231SCIP_LIBS = @SCIP_LIBS@
     232SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    224233SCPINCDIR = @SCPINCDIR@
    225234SCPLIB = @SCPLIB@
  • trunk/Couenne/src/standardize/Makefile.in

    r595 r598  
    128128COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    129129COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     130COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     131COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    130132COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    131133COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    222224RANLIB = @RANLIB@
    223225RPATH_FLAGS = @RPATH_FLAGS@
     226SCIP_CFLAGS = @SCIP_CFLAGS@
     227SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     228SCIP_DATA = @SCIP_DATA@
     229SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     230SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     231SCIP_LIBS = @SCIP_LIBS@
     232SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    224233SCPINCDIR = @SCPINCDIR@
    225234SCPLIB = @SCPLIB@
  • trunk/Couenne/src/two_implied_bt/Makefile.in

    r595 r598  
    128128COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    129129COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     130COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     131COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    130132COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    131133COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    222224RANLIB = @RANLIB@
    223225RPATH_FLAGS = @RPATH_FLAGS@
     226SCIP_CFLAGS = @SCIP_CFLAGS@
     227SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     228SCIP_DATA = @SCIP_DATA@
     229SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     230SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     231SCIP_LIBS = @SCIP_LIBS@
     232SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    224233SCPINCDIR = @SCPINCDIR@
    225234SCPLIB = @SCPLIB@
  • trunk/Couenne/src/util/Makefile.in

    r595 r598  
    124124COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    125125COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     126COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     127COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    126128COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    127129COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    218220RANLIB = @RANLIB@
    219221RPATH_FLAGS = @RPATH_FLAGS@
     222SCIP_CFLAGS = @SCIP_CFLAGS@
     223SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     224SCIP_DATA = @SCIP_DATA@
     225SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     226SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     227SCIP_LIBS = @SCIP_LIBS@
     228SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    220229SCPINCDIR = @SCPINCDIR@
    221230SCPLIB = @SCPLIB@
  • trunk/Couenne/test/Makefile.in

    r595 r598  
    108108COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    109109COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     110COIN_HAS_SCIP_FALSE = @COIN_HAS_SCIP_FALSE@
     111COIN_HAS_SCIP_TRUE = @COIN_HAS_SCIP_TRUE@
    110112COIN_HAS_SCP_FALSE = @COIN_HAS_SCP_FALSE@
    111113COIN_HAS_SCP_TRUE = @COIN_HAS_SCP_TRUE@
     
    202204RANLIB = @RANLIB@
    203205RPATH_FLAGS = @RPATH_FLAGS@
     206SCIP_CFLAGS = @SCIP_CFLAGS@
     207SCIP_CFLAGS_INSTALLED = @SCIP_CFLAGS_INSTALLED@
     208SCIP_DATA = @SCIP_DATA@
     209SCIP_DATA_INSTALLED = @SCIP_DATA_INSTALLED@
     210SCIP_DEPENDENCIES = @SCIP_DEPENDENCIES@
     211SCIP_LIBS = @SCIP_LIBS@
     212SCIP_LIBS_INSTALLED = @SCIP_LIBS_INSTALLED@
    204213SCPINCDIR = @SCPINCDIR@
    205214SCPLIB = @SCPLIB@
Note: See TracChangeset for help on using the changeset viewer.